Subject: bug#68021: 29.1; disjoinder between re-builder and interactive functions that consume it

From: Stefan Kangas <[email-masked]>
Date: Mon, 25 Dec 2023 05:18:22 -0800

severity 68021 wishlist
thanks

support <[email-masked]> writes:

> I built a regexp to strip away everything other than website names from
> a buffer:
>
> "\\\\(?:\\\\(?:\\n\\\\|.\\\\)*?\\\\<https?://\\\\(?:[[:alnum:]-]*?\\\\.*\\\\)\\\\([[:alnum:]-]+.[[:alpha:]]+\\\\)/\\\\(\\n\\\\|:.\\\\)*?\\\\)\\\\(?:\\n\\\\|.\\\\)*"
>
> I do a C-c C-w to copy it from re-builder.
>
> I do a M-x replace-regexp and paste it in with C-y and it needs
> all kinds of finessing to make it work which is a huge PITA!
>
> What is the fix?   Or does this still need to be implemented?  And if it
> hasn't been done yet, why not (as it seems it's been this way for DECADES)?

Does `reb-change-syntax' (bound to `C-c C-i') do the job?